Bug 486751 - umount.nfs: error message when unmounting mount done with vers= option
umount.nfs: error message when unmounting mount done with vers= option
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
cthon09
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 13:54 EST by Jeff Layton
Modified: 2009-06-11 13:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 13:28:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2009-02-21 13:54:40 EST
Problem in a nutshell:

[root@redhat-11 cthon04]# mount -t nfs  -o vers=3 redhat-2:/server /mnt/cthon/
[root@redhat-11 cthon04]# umount -v /mnt/cthon
umount.nfs: Server failed to unmount '172.16.16.2:/server'
redhat-2:/server umounted

...but...

[root@redhat-11 cthon04]# mount -t nfs redhat-2:/server /mnt/cthon/
[root@redhat-11 cthon04]# umount -v /mnt/cthon
umount.nfs: trying 172.16.16.2 prog 100005 vers 3 prot UDP port 797
redhat-2:/server umounted

...so we get an error message when unmounting if the mount was done with vers= option set. If it's not set, then we don't get an error.
Comment 1 Bug Zapper 2009-06-09 07:34:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Steve Dickson 2009-06-11 13:28:42 EDT
This has been fixed in nfs-utils-1.2.0-3

Note You need to log in before you can comment on or make changes to this bug.